This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1248518 - [REGRESSION] After upgrading from F21 to F22, firefox lost ability to browse directories with keyboard in the save dialog
[REGRESSION] After upgrading from F21 to F22, firefox lost ability to browse ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
22
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 08:52 EDT by Jaromír Cápík
Modified: 2016-07-19 16:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:18:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaromír Cápík 2015-07-30 08:52:26 EDT
Description of problem:
The F22 version of firefox doesn't allow me to browse directories with keyboard in the open/save dialog. In case of directories with a high number of sub-directories it takes long to find the right sub-directory with mouse.

Version-Release number of selected component (if applicable):
firefox-38.0.5-2.fc22

How reproducible:
always
Comment 1 Jan Horak 2015-08-26 09:52:05 EDT
This is a feature of new file dialog introduced in GTK3 (check gedit for the same behaviour). You can start search by pressing '/' or Ctrl-l. Searching is slightly modified.

I'll reassign this bug to gtk because this dialog is not made in mozilla code. Maybe someone from gtk is able to help there.
Comment 2 Jan Horak 2015-08-26 09:52:56 EDT
Note that Firefox in Fedora 21 is using GTK2 while Fedora 22 use GTK3 backend.
Comment 3 Jaromír Cápík 2015-08-31 05:58:43 EDT
You're right. Anyway, I consider the new way 'unhealthy', since it doesn't scroll to the first matched entry and therefore the user has no overview about the closest entries. I need to see the matches and need to be able to tune the selection with arrows.
Comment 4 Jaromír Cápík 2015-08-31 06:05:36 EDT
Moreover ... the CTRL+L combination stops working randomly and I have to hit the slash instead. That produces an unwanted slash character on the search line, that I need to remove. Sorry, but the new way is cumbersome. There's no reason for making the old way stop working. It didn't conflict with anything. Moreover it is unintuitive as most of the users would expect search under CTRL+F.
Comment 5 Jan Kaluža 2015-11-12 08:47:10 EST
CTRL+L or the "/" workaround overwrites the filename in Save dialog. That's really bad when I try to Save something... I have to just use the mouse and my alphabet knowledge to go through directory structure... This decreases productivity a lot...

Just try saving this page to ~/Downloads in Firefox using gtk3 dialog, it's really pain.
Comment 7 Fedora End Of Life 2016-07-19 16:18:51 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.